## org.apache.poi.hwpf.usermodel
Class Section

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Range
          org.apache.poi.hwpf.usermodel.Section

    public final class Section

extends Range

Field Summary

Fields inherited from class org.apache.poi.hwpf.usermodel.Range
`_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

Constructor Summary
`Section(SEPX sepx, Range parent)`

Method Summary
`java.lang.Object` `clone()`
`int` `getDistanceBetweenColumns()`
`int` `getMarginBottom()`
`int` `getMarginLeft()`
`int` `getMarginRight()`
`int` `getMarginTop()`
`int` `getNumColumns()`
`int` `getPageHeight()`
`int` `getPageWidth()`
`boolean` `isColumnsEvenlySpaced()`
`java.lang.String` `toString()`
`int` `type()` This method is used to determine the type.

Methods inherited from class org.apache.poi.hwpf.usermodel.Range

`adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertAfter, insertAfter, insertAfter, insertAfter, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, reset, sanityCheck, stripFields, text, usesUnicode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Section

    public Section(SEPX sepx,
                   Range parent)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getDistanceBetweenColumns

    public int getDistanceBetweenColumns()

  Returns:
    distance to be maintained between columns, in twips. Used when `isColumnsEvenlySpaced()` == true

### getMarginBottom

    public int getMarginBottom()

### getMarginLeft

    public int getMarginLeft()

### getMarginRight

    public int getMarginRight()

### getMarginTop

    public int getMarginTop()

### getNumColumns

    public int getNumColumns()

### getPageHeight

    public int getPageHeight()

  Returns:
    page height (in twips) in current section. Default value is 15840 twips

### getPageWidth

    public int getPageWidth()

  Returns:
    page width (in twips) in current section. Default value is 12240 twips

### isColumnsEvenlySpaced

    public boolean isColumnsEvenlySpaced()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Range`

### type

    public int type()

  Description copied from class: `Range`
  This method is used to determine the type. Handy for switch statements compared to the instanceof operator.

  Overrides:
    `type` in class `Range`
  Returns:
    A TYPE constant.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.